org.icefaces.ace.component.dataexporter

## Interface IDataExporter

- All Known Implementing Classes:
    DataExporter, DataExporterBase

      public interface IDataExporter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.Object` | `getCustomExporter()`
    `java.lang.String` | `getEncoding()`
    `java.lang.String` | `getExcludeColumns()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getPdfFont()`
    `javax.el.MethodExpression` | `getPostProcessor()`
    `javax.el.MethodExpression` | `getPreProcessor()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTarget()`
    `java.lang.String` | `getType()`
    `boolean` | `isExpandedOnly()`
    `boolean` | `isIncludeFooters()`
    `boolean` | `isIncludeHeaders()`
    `boolean` | `isPageOnly()`
    `boolean` | `isSelectedRowsOnly()`
    `boolean` | `isUserColumnOrder()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setCustomExporter(java.lang.Object customExporter)`
    `void` | `setEncoding(java.lang.String encoding)`
    `void` | `setExcludeColumns(java.lang.String excludeColumns)`
    `void` | `setExpandedOnly(boolean expandedOnly)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setIncludeFooters(boolean includeFooters)`
    `void` | `setIncludeHeaders(boolean includeHeaders)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setPageOnly(boolean pageOnly)`
    `void` | `setPdfFont(java.lang.String pdfFont)`
    `void` | `setPostProcessor(javax.el.MethodExpression postProcessor)`
    `void` | `setPreProcessor(javax.el.MethodExpression preProcessor)`
    `void` | `setSelectedRowsOnly(boolean selectedRowsOnly)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setType(java.lang.String type)`
    `void` | `setUserColumnOrder(boolean userColumnOrder)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setCustomExporter

          void setCustomExporter(java.lang.Object customExporter)

    - #### getCustomExporter

          java.lang.Object getCustomExporter()

    - #### setEncoding

          void setEncoding(java.lang.String encoding)

    - #### getEncoding

          java.lang.String getEncoding()

    - #### setExcludeColumns

          void setExcludeColumns(java.lang.String excludeColumns)

    - #### getExcludeColumns

          java.lang.String getExcludeColumns()

    - #### setExpandedOnly

          void setExpandedOnly(boolean expandedOnly)

    - #### isExpandedOnly

          boolean isExpandedOnly()

    - #### setFileName

          void setFileName(java.lang.String fileName)

    - #### getFileName

          java.lang.String getFileName()

    - #### setIncludeFooters

          void setIncludeFooters(boolean includeFooters)

    - #### isIncludeFooters

          boolean isIncludeFooters()

    - #### setIncludeHeaders

          void setIncludeHeaders(boolean includeHeaders)

    - #### isIncludeHeaders

          boolean isIncludeHeaders()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getLabel

          java.lang.String getLabel()

    - #### setPageOnly

          void setPageOnly(boolean pageOnly)

    - #### isPageOnly

          boolean isPageOnly()

    - #### setPdfFont

          void setPdfFont(java.lang.String pdfFont)

    - #### getPdfFont

          java.lang.String getPdfFont()

    - #### setPostProcessor

          void setPostProcessor(javax.el.MethodExpression postProcessor)

    - #### getPostProcessor

          javax.el.MethodExpression getPostProcessor()

    - #### setPreProcessor

          void setPreProcessor(javax.el.MethodExpression preProcessor)

    - #### getPreProcessor

          javax.el.MethodExpression getPreProcessor()

    - #### setSelectedRowsOnly

          void setSelectedRowsOnly(boolean selectedRowsOnly)

    - #### isSelectedRowsOnly

          boolean isSelectedRowsOnly()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTarget

          void setTarget(java.lang.String target)

    - #### getTarget

          java.lang.String getTarget()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

    - #### setUserColumnOrder

          void setUserColumnOrder(boolean userColumnOrder)

    - #### isUserColumnOrder

          boolean isUserColumnOrder()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.